package com.gic.haoban.manage.service.service.out.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gic.haoban.manage.api.dto.MemberUnionidRelatedDTO;
import com.gic.haoban.manage.api.service.MemberUnionidRelatedApiService;
import com.gic.haoban.manage.service.entity.TabHaobanStaff;
import com.gic.haoban.manage.service.service.MemberUnionRelatedService;
import com.gic.haoban.manage.service.service.StaffService;
import com.gic.member.api.service.MemberService;

@Service
public class MemberUnionidRelatedApiServiceImpl implements MemberUnionidRelatedApiService{

	@Autowired
	private MemberUnionRelatedService memberUnionRelatedService;
	@Autowired
	private StaffService staffService;
	@Autowired
	private MemberService memberService;
	@Override
	public MemberUnionidRelatedDTO getByMemberId(String staffId, String memberId) {
		TabHaobanStaff staff = staffService.selectById(staffId);
		if(staff == null){
			return null;
		}
		return memberUnionRelatedService.getByMemberId(staff.getWxUserId(),memberId);
	}
	@Override
	public String addMemberUnionidRelated(MemberUnionidRelatedDTO dto) {
//		String unionid = dto.getUnionid();
//		String memberId = memberService.getMemberIdByUnion(unionid, entMicroSignal);
//		dto.setMemberId(memberId);
		return memberUnionRelatedService.addMemberUnionidRelated(dto);
	}
	@Override
	public void delMemberUnionidRelated(MemberUnionidRelatedDTO dto) {
		memberUnionRelatedService.delMemberUnionidRelated(dto);
		
	}

}
